%global pypi_name intreehooks
Name:           python-%{pypi_name}
Version:        1.0
Release:        1%{?dist}
Summary:        Load a PEP 517 backend from inside the source tree
License:        MIT
URL:            https://github.com/takluyver/%{pypi_name}

Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
In PEP 517, package building backends are not loaded from the source of the
package being built. This prevents accidentally shadowing your build system,
but some packages, like build tools, want to act as their own backend.

%{pypi_name} is a shim to work around this, so that a source tree can be built
by itself.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description
%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest -v

%files -n python3-%{pypi_name} -f %pyproject_files
#license LICENSE -- https://github.com/takluyver/intreehooks/pull/2
%doc README.rst

%changelog
* Thu Jun 04 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0-1
- Initial package
